ONVIF::Device::Types::AudioDecoderConfigurationOptions(3)

NAME
ONVIF::Device::Types::AudioDecoderConfigurationOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType AudioDecoderConfigurationOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AACDecOptions

•   G711DecOptions

•   G726DecOptions

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::AudioDecoderConfigurationOptions
   AACDecOptions =>  { # ONVIF::Device::Types::AACDecOptions
     Bitrate =>  { # ONVIF::Device::Types::IntList
       Items =>  $some_value, # int
     },
     SampleRateRange =>  { # ONVIF::Device::Types::IntList
       Items =>  $some_value, # int
     },
   },
   G711DecOptions =>  { # ONVIF::Device::Types::G711DecOptions
     Bitrate =>  { # ONVIF::Device::Types::IntList
       Items =>  $some_value, # int
     },
     SampleRateRange =>  { # ONVIF::Device::Types::IntList
       Items =>  $some_value, # int
     },
   },
   G726DecOptions =>  { # ONVIF::Device::Types::G726DecOptions
     Bitrate =>  { # ONVIF::Device::Types::IntList
       Items =>  $some_value, # int
     },
     SampleRateRange =>  { # ONVIF::Device::Types::IntList
       Items =>  $some_value, # int
     },
   },
   Extension =>  { # ONVIF::Device::Types::AudioDecoderConfigurationOptionsExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL